<?php
/**
 * Coppermine Photo Gallery
 * v1.0 originally written by Gregory Demar
 * @copyright  Copyright (c) 2003-2018 Coppermine Dev Team
 * @license    GNU General Public License version 3 or later; see LICENSE
 * @since  1.6.04
 */
/**  This theme has had redundant CORE items removed **/
define('THEME_HAS_PROGRESS_GRAPHICS', 1);
define('THEME_HAS_FILM_STRIP_GRAPHICS', 1);
define('THEME_HAS_FILM_STRIP_GRAPHIC', 1);
define('THEME_HAS_RATING_GRAPHICS', 1);
define('THEME_HAS_NAVBAR_GRAPHICS',1);
define('THEME_HAS_COMMENT_GRAPHICS',1);
define('THEME_HAS_MENU_ICONS',16);
/******************************************************************************
** Section MENUS - START
******************************************************************************/ 
// HTML template for template  sub menu buttons
$template_sys_menu_button = $template_sub_menu_button = <<<EOT
<!-- BEGIN {BLOCK_ID} -->
<li class="first-level"><a href="{HREF_TGT}" title="{HREF_TITLE}">{HREF_LNK}</a></li>
<!-- END {BLOCK_ID} -->
EOT;
$template_sys_menu = <<<EOT
<ul class="sys_menu" id="cpg_menu">
<!-- BEGIN home -->
<li class="first-level"><a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a><img class="menu-arrow" src="{$THEME_DIR}images/menu.png" />
<ul class="second-level">
<!-- BEGIN contact -->
<li><a href="{CONTACT_TGT}" title="{CONTACT_TITLE}">{CONTACT_LNK}</a></li>
<!-- END contact --> 
<!-- BEGIN sidebar -->
<li><a href="{SIDEBAR_TGT}" title="{SIDEBAR_TITLE}">{SIDEBAR_LNK}</a></li>
<!-- END sidebar -->
<!-- BEGIN my_profile -->
<li><a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></li>
<!-- END my_profile -->
<!-- BEGIN allow_memberlist -->
<li><a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></li>
<!-- END allow_memberlist -->
</ul>
</li>
<!-- END home -->
<!-- BEGIN my_gallery -->
<li class="first-level"><a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a><img class="menu-arrow" src="{$THEME_DIR}images/menu.png" />
<ul class="second-level">
<!-- BEGIN enter_admin_mode -->
<li><a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></li>
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
<li><a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></li>
<!-- END leave_admin_mode -->
</ul>
</li>
<!-- END my_gallery -->
<!-- BEGIN upload_pic -->
<li class="first-level"><a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></li>
<!-- END upload_pic -->
<!-- BEGIN register -->
<li class="first-level"><a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></li>
<!-- END register -->
<!-- BEGIN login -->
<li class="first-level"><a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></li>
<!-- END login -->
<!-- BEGIN logout -->
<li class="first-level"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">{LOGOUT_LNK}</a></li>
<!-- END logout -->
<span class="clearer"></span></ul>
EOT;
// HTML template for sub menu
if ($CONFIG['browse_by_date'] != 0) {$browsebydatebutton = 
<<< EOT
<li><a href="{BROWSEBYDATE_TGT}" title="{BROWSEBYDATE_TITLE}" rel="nofollow" class="greybox"><span>{BROWSEBYDATE_LNK}</span></a></li>
EOT;
} else {$browsebydatebutton = '';}
$template_sub_menu = <<<EOT
<ul class="sub_menu" id="cpg_menu">
<!-- BEGIN custom_link -->
<li class="custom_link first-level"><a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a></li>
<!-- END custom_link -->
<!-- BEGIN album_list -->
<li class="album_list first-level"><a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a><img class="menu-arrow" src="{$THEME_DIR}images/menu.png" />
<ul class="second-level">
<!-- BEGIN lastup -->
<li><a href="{LASTUP_TGT}" title="{LASTUP_LNK}" rel="nofollow"><span>{LASTUP_LNK}</span></a></li>
<!-- END lastup -->
<!-- BEGIN lastcom -->
<li><a href="{LASTCOM_TGT}" title="{LASTCOM_LNK}" rel="nofollow"><span>{LASTCOM_LNK}</span></a></li>
<!-- END lastcom -->
<!-- BEGIN topn -->
<li><a href="{TOPN_TGT}" title="{TOPN_LNK}" rel="nofollow"><span>{TOPN_LNK}</span></a></li>
<!-- END topn -->
<!-- BEGIN toprated -->
<li><a href="{TOPRATED_TGT}" title="{TOPRATED_LNK}" rel="nofollow"><span>{TOPRATED_LNK}</span></a></li>
<!-- END toprated -->
<!-- BEGIN favpics -->
<li><a href="{FAV_TGT}" title="{FAV_LNK}" rel="nofollow"><span>{FAV_LNK}</span></a></li>
<!-- END favpics -->
<!-- BEGIN browse_by_date -->
$browsebydatebutton
<!-- END browse_by_date -->
</ul>
</li>
<!-- END album_list -->
<!-- BEGIN search -->
<li class="search-link first-level"><a href="{SEARCH_TGT}" title="ADVANCED {SEARCH_LNK}">{SEARCH_LNK}</a></li>
<!-- END search -->
<span class="clearer"></span></ul>
EOT;
/******************************************************************************
** Section <<<MENUS>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<pageheader>>> - START
******************************************************************************/
function pageheader($section, $meta = '')
{
    global $CONFIG, $THEME_DIR;
    global $template_header, $lang_charset, $lang_text_dir;

    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    $charset = ($CONFIG['charset'] == 'language file') ? $lang_charset : $CONFIG['charset'];

    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
    header("Content-Type: text/html; charset=$charset");
    user_save_profile();

    $template_vars = array(
        '{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => theme_page_title($section),
        '{CHARSET}' => $charset,
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
        '{JAVASCRIPT}' => theme_javascript_head(),
        '{MESSAGE_BLOCK}' => theme_display_message_block(),
    );
	// START CUSTOM CODE
    global $cat, $CPG_PHP_SELF, $pid, $uid, $album, $cat_data, $CURRENT_ALBUM_DATA, $CURRENT_PIC_DATA;
	$superCage = Inspekt::makeSuperCage();
    if ($cat < 0) {
        $what = 'alb_';
        $current_id = -$cat;
    } else {
        $what = 'cat_';
        $current_id = $cat;
    }		
   // css mod - start
    if ($CPG_PHP_SELF == 'index.php' && $current_id == 0) {
      $bodyID = 'homePage';
	} elseif ($CPG_PHP_SELF == 'index.php') {
      $bodyID = $what.$current_id;
	} elseif ($CPG_PHP_SELF == 'thumbnails.php' && is_numeric($album)) {
      $bodyID = 'cat_' . $CURRENT_ALBUM_DATA['category'];		
	} elseif ($CPG_PHP_SELF == 'thumbnails.php' && !is_numeric($album)) {
      $bodyID = $album;		
	} elseif ($CPG_PHP_SELF == 'displayimage.php') {
      $bodyID = 'cat_' . $CURRENT_ALBUM_DATA['category'];		
	} elseif ($CPG_PHP_SELF == 'login.php') {
      $bodyID = 'loginPage';	
	} elseif ($CPG_PHP_SELF == 'search.php') {
      $bodyID = 'searchPage';			
	} elseif ($CPG_PHP_SELF == 'profile.php') {
      $bodyID = 'profilePage';		
	} elseif ($CPG_PHP_SELF == 'contact.php') {
      $bodyID = 'contactPage';		
	} elseif ($CPG_PHP_SELF == 'upload.php') {
      $bodyID = 'uploadPage';		
	} elseif ($CPG_PHP_SELF == 'usermgr.php') {
      $bodyID = 'usermgrPage';		
	} elseif ($CPG_PHP_SELF == 'pluginmgr.php') {
      $bodyID = 'pluginmgrPage';		
	} else {
      $bodyID = 'adminPage';		
	}
	$template_vars['{BODYID}'] = $bodyID;
    if ($CPG_PHP_SELF == 'thumbnails.php' && is_numeric($album)) {
      $bodyCLASS = $what.$current_id;		
	} elseif ($CPG_PHP_SELF == 'displayimage.php') {
      $bodyCLASS = 'displayimage';		
	} else {
      $bodyCLASS = 'body-class';		
	}	
	$template_vars['{BODYCLASS}'] = $bodyCLASS;
    // css mod - end	
    $template_vars = CPGPluginAPI::filter('theme_pageheader_params', $template_vars);
    echo template_eval($template_header, $template_vars);

    // Show various admin messages
    adminmessages();
}
/******************************************************************************
** Section <<<pageheader>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<starttable>>> - START
******************************************************************************/
// Function to start a 'standard' table
function starttable($width = '-1', $title = '', $title_colspan = '1', $zebra_class = '', $return = false) {
    global $CONFIG;
    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    $text = <<<EOT
<!-- Start standard table -->
<table align="center" width="$width" cellspacing="1" cellpadding="0" class="maintable $zebra_class">
EOT;
    if ($title) {
        $text .= <<<EOT
<tr><td class="table-heading" colspan="$title_colspan">$title</td></tr>
EOT;
    }
    if (!$return) {
        echo $text;
    } else {
        return $text;
    }
}
/******************************************************************************
** Section <<<starttable>>> - END
******************************************************************************/
/******************************************************************************
** Section <<<$template_thumbnail_view>>> - START
******************************************************************************/

// HTML template for thumbnails display
$template_thumbnail_view = <<<EOT
<!-- BEGIN header -->
        <tr>
<!-- END header -->
<!-- BEGIN thumb_cell -->
        <td valign="top" class="thumbnailsContainer" width ="{CELL_WIDTH}" align="center">
                <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                                <td align="center">
                                        <a href="{LINK_TGT}">{THUMB}<br /></a>
                                        {CAPTION}
                                        {ADMIN_MENU}
                                </td>
                        </tr>
                </table>
        </td>
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td valign="top" class="thumbnailsContainerEmpty" align="center">&nbsp;</td>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
        </tr>
        <tr>
<!-- END row_separator -->
<!-- BEGIN footer -->
        </tr>
<!-- END footer -->
<!-- BEGIN tabs -->
        <tr><td class="thumbnailsTabs" colspan="{THUMB_COLS}" style="padding: 0px;"><table width="100%" cellspacing="0" cellpadding="0"><tr>{TABS}</tr></table></td></tr>
<!-- END tabs -->
<!-- BEGIN spacer -->
        <img src="images/spacer.gif" width="1" height="7" border="" alt="" /><br />
<!-- END spacer -->
EOT;
/******************************************************************************
** Section <<<$template_thumbnail_view>>> - END
******************************************************************************/
//EOF